org.apache.ignite.internal.util.lang.gridfunc

## Class ContainsNodeIdsPredicate<T extends ClusterNode>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.ContainsNodeIdsPredicate<T>

All Implemented Interfaces:
  Serializable, IgnitePredicate<T>

    public class ContainsNodeIdsPredicate<T extends ClusterNode>
    extends Object
    implements IgnitePredicate<T>

Grid node predicate evaluating on the given node IDs.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ContainsNodeIdsPredicate(Collection<UUID> nodeIds)`

### Method Summary

Methods
`boolean` `apply(ClusterNode e)` Predicate body.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContainsNodeIdsPredicate

    public ContainsNodeIdsPredicate(Collection<UUID> nodeIds)

Parameters:
  `nodeIds` - (Collection)

### Method Detail

#### apply

    public boolean apply(ClusterNode e)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<T extends ClusterNode>`
Parameters:
  `e` - Predicate parameter.
Returns:
  Return value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017